SdFat: BaseBlockDriver Class Reference

SdFat

Public Member Functions | List of all members
BaseBlockDriver Class Referenceabstract

Base block driver. More...

`#include <BaseBlockDriver.h>`

Inheritance diagram for BaseBlockDriver:
[legend]

## Public Member Functions
virtual bool | readBlock (uint32_t block, uint8_t *dst)=0
virtual bool | readBlocks (uint32_t block, uint8_t *dst, size_t nb)=0
virtual bool | syncBlocks ()=0
virtual bool | writeBlock (uint32_t block, const uint8_t *src)=0
virtual bool | writeBlocks (uint32_t block, const uint8_t *src, size_t nb)=0

## Detailed Description

Base block driver.

Copyright (c) 2011-2018 Bill Greiman This file is part of the SdFat library for SD memory cards.

MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Member Function Documentation

## ◆ readBlock()

virtual bool BaseBlockDriver::readBlock | ( | uint32_t | block,
|  | uint8_t * | dst
| ) |  |
| pure virtual

Read a 512 byte block from an SD card.

Parameters

  [in] | block | Logical block to be read.
  [out] | dst | Pointer to the location that will receive the data.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCardEX, and SdioCard.

## ◆ readBlocks()

virtual bool BaseBlockDriver::readBlocks | ( | uint32_t | block,
|  | uint8_t * | dst,
|  | size_t | nb
| ) |  |
| pure virtual

Read multiple 512 byte blocks from an SD card.

Parameters

  [in] | block | Logical block to be read.
  [in] | nb | Number of blocks to be read.
  [out] | dst | Pointer to the location that will receive the data.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCardEX, and SdioCard.

## ◆ syncBlocks()

virtual bool BaseBlockDriver::syncBlocks | ( |  | ) |
| pure virtual

End multi-block transfer and go to idle state.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCardEX, and SdioCard.

## ◆ writeBlock()

virtual bool BaseBlockDriver::writeBlock | ( | uint32_t | block,
|  | const uint8_t * | src
| ) |  |
| pure virtual

Writes a 512 byte block to an SD card.

Parameters

  [in] | block | Logical block to be written.
  [in] | src | Pointer to the location of the data to be written.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCardEX, and SdioCard.

## ◆ writeBlocks()

virtual bool BaseBlockDriver::writeBlocks | ( | uint32_t | block,
|  | const uint8_t * | src,
|  | size_t | nb
| ) |  |
| pure virtual

Write multiple 512 byte blocks to an SD card.

Parameters

  [in] | block | Logical block to be written.
  [in] | nb | Number of blocks to be written.
  [in] | src | Pointer to the location of the data to be written.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCardEX, and SdioCard.

The documentation for this class was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/BaseBlockDriver.h